Skip to main content
GET
/
v2
/
accounting
/
yield
/
period-summary
Get accounting yield period summary
curl --request GET \
  --url https://sandbox.groundtech.co/v2/accounting/yield/period-summary \
  --header 'Authorization: Bearer <token>'
{
  "periodStart": "2026-05-01T00:00:00.000Z",
  "periodEnd": "2026-06-01T00:00:00.000Z",
  "scope": "wallet",
  "portfolioWalletId": "b1c2d3e4-0000-4000-8000-000000000001",
  "costBasisMethod": "fifo",
  "status": "exact",
  "reason": null,
  "summary": {
    "startingValueUsd": "10000.000000",
    "endingValueUsd": "10482.310000",
    "externalDepositsUsd": "250.000000",
    "externalPayoutsUsd": "0.000000",
    "groundCreditsUsd": "0.000000",
    "explicitFeesUsd": "1.120000",
    "realizedPerformanceUsd": "41.250000",
    "unrealizedPerformanceUsd": "192.180000",
    "investmentPerformanceUsd": "233.430000",
    "reconciliationStatus": "exact"
  },
  "yieldSources": [
    {
      "yieldSourceId": "syrup-usdc",
      "yieldSourceLabel": "Syrup USDC",
      "entryValueUsd": "4000.000000",
      "exitValueUsd": "4212.430000",
      "netPerformanceUsd": "212.430000"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.groundtech.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

walletId
string<uuid>

Wallet ID for a wallet-scoped report. Provide exactly one of walletId or scope=organization.

scope
enum<string>

Use organization for an organization-wide report. Provide exactly one of walletId or scope=organization.

Available options:
organization
start
string<date-time>
required

Inclusive ISO-8601 UTC period start.

end
string<date-time>
required

Exclusive ISO-8601 UTC period end.

costBasisMethod
enum<string>
default:fifo

Cost basis method used for realized performance calculations.

Available options:
fifo,
average_cost

Response

Yield period summary

periodStart
string<date-time>
periodEnd
string<date-time>
scope
enum<string>
Available options:
wallet,
all
portfolioWalletId
string<uuid> | null
costBasisMethod
enum<string>
Available options:
fifo,
average_cost
status
enum<string>
Available options:
exact,
incomplete
reason
string | null
summary
object
yieldSources
object[]